
package com.tmerclub.cloud.distribution.constant;

/**
 * 商家转账申请类型
 * @author Yami
 */
public enum EnterpriseApplyType {

    /**
     * 商户提现
     */
    SHOP_WITHDRAW(1, "商户提现"),

    /**
     * 分销员提现
     */
    DISTRIBUTION_WITHDRAW(2, "分销员提现");

    private final Integer value;

    private final String desc;

    public Integer value() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

    EnterpriseApplyType(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public static EnterpriseApplyType instance(Integer value) {
        EnterpriseApplyType[] enums = values();
        for (EnterpriseApplyType statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
